import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.moveFiles({
folderId: 815114,
insightsFolderFileMove: {
destinationFolderId: 182764,
fileIdList: [
12334,
23445,
34556,
],
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.move_files(folder_id=815114, insights_folder_file_move={
"destination_folder_id": 182764,
"file_id_list": [
12334,
23445,
34556,
],
})
# Handle response
print(res)curl --request POST \
--url https://api.syllable.cloud/api/v1/insights/folders/{folder_id}/move-files \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"destination_folder_id": 182764,
"file_id_list": "[12334,23445,34556]"
}
'const options = {
method: 'POST',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_folder_id: 182764, file_id_list: '[12334,23445,34556]'})
};
fetch('https://api.syllable.cloud/api/v1/insights/folders/{folder_id}/move-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 182764,
"folder_id": 182764,
"filename": "customer-complaints.wav",
"object_key": "UPLOAD_CALL_ID/recording/2025/04/22/15/00/ce7d212e-80b0-4f0b-9e01-74322f146611.mp3",
"call_id": "12345",
"agent_number": "1234567890",
"customer_number": "0987654321",
"duration": 305.5,
"start_time": "2026-09-16T00:00:00Z",
"end_time": "2026-09-17T00:00:00Z",
"error_message": "File not found",
"metadata": {
"duration": "00:10:00",
"size": "10MB"
},
"created_at": "2026-09-16T00:00:00Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Move Insights Upload Files
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.moveFiles({
folderId: 815114,
insightsFolderFileMove: {
destinationFolderId: 182764,
fileIdList: [
12334,
23445,
34556,
],
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.move_files(folder_id=815114, insights_folder_file_move={
"destination_folder_id": 182764,
"file_id_list": [
12334,
23445,
34556,
],
})
# Handle response
print(res)Authorizations
Path Parameters
Body
Response
Successful Response
System-assigned ID for the upload file
182764
System-assigned ID for the folder to which the file belongs
182764
Name of the uploaded file
"customer-complaints.wav"
Object-store key of the uploaded file
"UPLOAD_CALL_ID/recording/2025/04/22/15/00/ce7d212e-80b0-4f0b-9e01-74322f146611.mp3"
Unique identifier for the call associated with the uploaded file
"12345"
Agent number associated with the uploaded file
"1234567890"
Customer number associated with the uploaded file
"0987654321"
Length in seconds of the uploaded recording
305.5
Start time of the uploaded file
"2026-09-16T00:00:00Z"
End time of the uploaded file
"2026-09-17T00:00:00Z"
Error message associated with the uploaded file
"File not found"
Meta-data associated with the uploaded file
Show child attributes
Show child attributes
{ "duration": "00:10:00", "size": "10MB" }
Timestamp at which insight upload file was created
"2026-09-16T00:00:00Z"

